RefreshUserMappingsProtocolClientSideTranslatorPB (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.protocolPB, class: RefreshUserMappingsProtocolClientSideTranslatorPB

Package org.apache.hadoop.security.protocolPB

# Class RefreshUserMappingsProtocolClientSideTranslatorPB

java.lang.Object
org.apache.hadoop.security.protocolPB.RefreshUserMappingsProtocolClientSideTranslatorPB

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ProtocolMetaInterface`, `RefreshUserMappingsProtocol`

public class RefreshUserMappingsProtocolClientSideTranslatorPB extends Object implements ProtocolMetaInterface, RefreshUserMappingsProtocol, Closeable

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.security.RefreshUserMappingsProtocol

  `versionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefreshUserMappingsProtocolClientSideTranslatorPB(RefreshUserMappingsProtocolPB rpcProxy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `isMethodSupported(String methodName)`
  Checks whether the given method name is supported by the server.
  `void`
  `refreshSuperUserGroupsConfiguration()`
  Refresh superuser proxy group list
  `void`
  `refreshUserToGroupsMappings()`
  Refresh user to group mappings.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RefreshUserMappingsProtocolClientSideTranslatorPB

    public RefreshUserMappingsProtocolClientSideTranslatorPB(RefreshUserMappingsProtocolPB rpcProxy)

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Throws:
      `IOException`

  - ### refreshUserToGroupsMappings

    public void refreshUserToGroupsMappings() throws IOException
    Description copied from interface: `RefreshUserMappingsProtocol`
    Refresh user to group mappings.
    Specified by:
      `refreshUserToGroupsMappings` in interface `RefreshUserMappingsProtocol`
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### refreshSuperUserGroupsConfiguration

    public void refreshSuperUserGroupsConfiguration() throws IOException
    Description copied from interface: `RefreshUserMappingsProtocol`
    Refresh superuser proxy group list
    Specified by:
      `refreshSuperUserGroupsConfiguration` in interface `RefreshUserMappingsProtocol`
    Throws:
      `IOException` - raised on errors performing I/O.

  - ### isMethodSupported

    public boolean isMethodSupported(String methodName) throws IOException
    Description copied from interface: `ProtocolMetaInterface`
    Checks whether the given method name is supported by the server. It is assumed that all method names are unique for a protocol.
    Specified by:
      `isMethodSupported` in interface `ProtocolMetaInterface`
    Parameters:
      `methodName` - The name of the method
    Returns:
      true if method is supported, otherwise false.
    Throws:
      `IOException` - raised on errors performing I/O.